> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/item-transfers/{id} > Retrieves the item transfer specified by the id ## OpenAPI ````json GET /public/v1/item-transfers/{id} { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/item-transfers/{id}": { "get": { "tags": [ "inventory" ], "description": "Retrieves the item transfer specified by the id", "parameters": [ { "name": "id", "in": "path", "description": "Identifier of the item transfer", "required": true, "schema": { "type": "string($uuid)" } } ], "responses": { "200": { "description": "item transfer entity", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferPublicDto" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferPublicDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferPublicDto" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.ProblemDetails" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferPublicDto": { "type": "object", "properties": { "id": { "type": "integer", "description": "The unique identifier for the Item Transfer.", "format": "int64" }, "number": { "type": "string", "description": "The Item Transfer Number.", "nullable": true }, "template": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferTemplateReferencePublicDto" }, "date": { "type": "string", "description": "Item Transfer Date.", "format": "date" }, "fromLocation": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Locations.LocationReference" }, "toLocation": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Locations.LocationReference" }, "totalAmount": { "type": "number", "description": "Total Amount.", "format": "double" }, "lastComment": { "type": "string", "description": "Last Comment.", "nullable": true }, "details": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferDetailPublicDto" }, "description": "List of Item Transfer Details.", "nullable": true }, "status": { "type": "string", "description": "Item Transfer status.", "nullable": true }, "transactionId": { "type": "string", "description": "The transaction id for the item transfer.", "format": "uuid" }, "completedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who completed the item transfer." }, "completedOn": { "type": "string", "description": "The date and time the item transfer was completed.", "format": "date-time", "nullable": true }, "createdBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who created the item transfer." }, "createdOn": { "type": "string", "description": "The date and time the item transfer was created.", "format": "date-time" }, "modifiedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who last modified the item transfer." }, "modifiedOn": { "type": "string", "description": "The date and time the item transfer was last modified.", "format": "date-time", "nullable": true }, "approvedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who approved the item transfer." }, "approvedOn": { "type": "string", "description": "The date and time the item transfer was approved.", "format": "date-time", "nullable": true } }, "additionalProperties": false, "description": "Item Transfer" }, "R365.Inventory.Public.Models.ProblemDetails": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32", "nullable": true, "description": "Current status of the problem details." }, "detail": { "type": "string", "nullable": true }, "instance": { "type": "string", "nullable": true } } }, "R365.Inventory.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } }, "R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferTemplateReferencePublicDto": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "description": "Unique identifier of the item transfer template." }, "name": { "type": "string", "nullable": true, "description": "Display name of the item transfer template." } }, "additionalProperties": false, "description": "A reference to an Item Transfer Template." }, "R365.Inventory.Shared.Contracts.Locations.LocationReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The id of the location.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the location.", "nullable": true }, "number": { "type": "string", "description": "The location number.", "nullable": true } }, "additionalProperties": false, "description": "Represents a reference to a location." }, "R365.Inventory.Public.Contracts.ItemTransfers.Models.ItemTransferDetailPublicDto": { "type": "object", "properties": { "id": { "type": "integer", "description": "The unique identifier for the Item Transfer detail.", "format": "int64" }, "item": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Items.ItemReference" }, "unitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "quantity": { "type": "number", "description": "Quantity.", "format": "double" }, "eachAmount": { "type": "number", "description": "Each Amount.", "format": "double" }, "totalAmount": { "type": "number", "description": "Total Amount.", "format": "double" }, "comment": { "type": "string", "description": "Comment.", "nullable": true } }, "additionalProperties": false, "description": "Item Transfer Detail" }, "R365.Inventory.Shared.Contracts.Users.UserReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier of the user.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the user.", "nullable": true } }, "additionalProperties": false, "description": "A reference to a user." }, "R365.Inventory.Shared.Contracts.Items.ItemReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the item." }, "name": { "type": "string", "nullable": true, "description": "Display name of the item." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the item." }, "itemType": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Items.ItemType" } }, "additionalProperties": false, "description": "A reference to an item." }, "R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the unit of measure." }, "name": { "type": "string", "nullable": true, "description": "Display name of the unit of measure." } }, "additionalProperties": false, "description": "A reference to a unit of measure." }, "R365.Inventory.Shared.Contracts.Items.ItemType": { "enum": [ 1, 2 ], "type": "integer", "description": "The types for an item.", "format": "int32", "x-enum-varnames": [ "Purchase", "Recipe" ] } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````